package com.gic.message.service.impl;

import com.alibaba.fastjson.JSON;
import com.gic.binlog.base.entity.GicRecord;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.listener.MessageListener;

public class KafkaMessageServiceImpl implements MessageListener<String, GicRecord> {
    private static final Logger log = LogManager.getLogger(KafkaMessageServiceImpl.class);
    @Autowired
    private MessageHandlerInit messageHandlerInit;

    @Override
    public void onMessage(ConsumerRecord<String, GicRecord> consumerRecord) {
        log.info("接收kafka消息，内容为111："+consumerRecord.value());
        this.messageHandlerInit.getHandler().get(consumerRecord.value().getTableName()).handler(consumerRecord);
    }
}
