package com.gic.message.service.impl;

import com.gic.message.service.MessageHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

@Component
public class MessageHandlerInit {
    @Autowired
    private StoreMessageHandler storeMessageHandler;
    @Autowired
    private StoreInfoMessageHandler storeInfoMessageHandler;
    @Autowired
    private StoreCustomMessageHandler storeCustomMessageHandler;

    private Map<String, MessageHandler> handler = new HashMap<>();

    @PostConstruct
    public void init(){
        handler.put("tab_store", this.storeMessageHandler);
        handler.put("tab_store_info", this.storeInfoMessageHandler);
        handler.put("tab_store_extend", this.storeCustomMessageHandler);
    }

    public Map<String, MessageHandler> getHandler() {
        return handler;
    }

    public void setHandler(Map<String, MessageHandler> handler) {
        this.handler = handler;
    }
}
